# Demos

<p class="description">Demonstrate some use cases we are supporting.</p>

Note that on desktop, you might have to add the `enableMouseEvents` prop, in order for the demos to work properly.

## Simple

A Simple case.

{{"demo": "pages/demos/DemoSimple.js"}}

## Tabs

With a header.

{{"demo": "pages/demos/DemoTabs.js"}}

## Scroll

Set a constant height and let the swipe and scroll behavior work in harmony.

{{"demo": "pages/demos/DemoScroll.js"}}

## Animate height

The container responds dynamically to its children.

{{"demo": "pages/demos/DemoAnimateHeight.js"}}

## Resistance

With a resistance bounds effet on the edges.

{{"demo": "pages/demos/DemoResitance.js"}}

## Nested

With nested swipeable-view component.

{{"demo": "pages/demos/DemoNested.js"}}

## Auto play

With the auto play HOC.

{{"demo": "pages/demos/DemoAutoPlay.js"}}

## Virtualize

With the virtualize HOC.

{{"demo": "pages/demos/DemoVirtualize.js"}}

## Axis

Swipe up and down.

{{"demo": "pages/demos/DemoAxis.js"}}

## Keyboard

With a keyboard binding.

{{"demo": "pages/demos/DemoKeyboard.js"}}

## Hocs

With all the HOCs.

{{"demo": "pages/demos/DemoHocs.js"}}

## Custom width

Custom width of slides.

{{"demo": "pages/demos/DemoWidth.js"}}

## Rtl

Right-to-left direction

{{"demo": "pages/demos/DemoRtl.js"}}

## Circular

The 3 slides are repeated indefinitely.

{{"demo": "pages/demos/DemoCircular.js"}}

## Coverflow

Custom display with a coverflow effect.

{{"demo": "pages/demos/DemoCoverflow.js"}}
